Issues webgui "TypeError: me.getSelectionModel is not a function"

Pueblo

New Member
Feb 6, 2018
3
0
1
39
Good morning, I've been using proxmox for years and I've never really had any problems except now.
When I'm on the web interface:

1. I select a CT lxc container
2. I select resources
3. Select Memory
4. And I click on edit

Nothing happens but an error in the JS console

TypeError: me.getSelectionModel is not a function

run_editor
https://proxmox.mydomain.com:8006/proxmoxlib.js:3310:11
callback
https://proxmox.mydomain.com:8006/pve2/ext6/ext-all.js:22:68728
initComponent/me.handler
https://proxmox.mydomain.com:8006/proxmoxlib.js:2970:7
callback
https://proxmox.mydomain.com:8006/pve2/ext6/ext-all.js:22:68728
fireHandler
https://proxmox.mydomain.com:8006/pve2/ext6/ext-all.js:22:1030167
onClick
https://proxmox.mydomain.com:8006/pve2/ext6/ext-all.js:22:1029950
fire
https://proxmox.mydomain.com:8006/pve2/ext6/ext-all.js:22:141921
fire
https://proxmox.mydomain.com:8006/pve2/ext6/ext-all.js:22:232382
publish
https://proxmox.mydomain.com:8006/pve2/ext6/ext-all.js:22:232147
doDelegatedEvent
https://proxmox.mydomain.com:8006/pve2/ext6/ext-all.js:22:232715
onDelegatedEvent
https://proxmox.mydomain.com:8006/pve2/ext6/ext-all.js:22:232515
bind/<



More info:
pveversion -v

proxmox-ve: 5.1-38 (running kernel: 4.13.13-5-pve)
pve-manager: 5.1-44 (running version: 5.1-44/1595997d)
pve-kernel-4.13.4-1-pve: 4.13.4-26
pve-kernel-4.13.8-2-pve: 4.13.8-28
pve-kernel-4.13.13-4-pve: 4.13.13-35
pve-kernel-4.13.13-2-pve: 4.13.13-33
pve-kernel-4.10.17-4-pve: 4.10.17-24
pve-kernel-4.10.17-2-pve: 4.10.17-20
pve-kernel-4.10.15-1-pve: 4.10.15-15
pve-kernel-4.13.8-3-pve: 4.13.8-30
pve-kernel-4.13.8-1-pve: 4.13.8-27
pve-kernel-4.13.13-5-pve: 4.13.13-38
pve-kernel-4.13.13-1-pve: 4.13.13-31
pve-kernel-4.10.17-3-pve: 4.10.17-23
pve-kernel-4.10.17-1-pve: 4.10.17-18
libpve-http-server-perl: 2.0-8
lvm2: 2.02.168-pve6
corosync: 2.4.2-pve3
libqb0: 1.0.1-1
pve-cluster: 5.0-20
qemu-server: 5.0-21
pve-firmware: 2.0-3
libpve-common-perl: 5.0-27
libpve-guest-common-perl: 2.0-14
libpve-access-control: 5.0-8
libpve-storage-perl: 5.0-17
pve-libspice-server1: 0.12.8-3
vncterm: 1.5-3
pve-docs: 5.1-16
pve-qemu-kvm: 2.9.1-6
pve-container: 2.0-18
pve-firewall: 3.0-5
pve-ha-manager: 2.0-4
ksm-control-daemon: not correctly installed
glusterfs-client: 3.8.8-1
lxc-pve: 2.1.1-2
lxcfs: 2.0.8-1
criu: 2.11.1-1~bpo90
novnc-pve: 0.6-4
smartmontools: 6.5+svn4324-1
zfsutils-linux: 0.7.4-pve2~bpo9


If anyone could help me, I'd appreciate it.
Thank you very much and greetings.
 

dcsapak

Proxmox Staff Member
Staff member
Feb 1, 2016
4,766
465
103
32
Vienna
hi,
yes this is a bug, thanks for finding this :) (i will send a patch for this later on the devel list)
 

dcsapak

Proxmox Staff Member
Staff member
Feb 1, 2016
4,766
465
103
32
Vienna
as a workaround you can doubleclick on the entries
 

Pueblo

New Member
Feb 6, 2018
3
0
1
39
hi,
yes this is a bug, thanks for finding this :) (i will send a patch for this later on the devel list)
Hello Dominik
Thank you for your quick response.
Hopefully the development team will solve it as soon as possible.
Thank you so much for everything.
 

About

The Proxmox community has been around for many years and offers help and support for Proxmox VE and Proxmox Mail Gateway. We think our community is one of the best thanks to people like you!

Get your subscription!

The Proxmox team works very hard to make sure you are running the best software and getting stable updates and security enhancements, as well as quick enterprise support. Tens of thousands of happy customers have a Proxmox subscription. Get your own in 60 seconds.

Buy now!